ServerEvents.tags('fluid', event => {
	// Crude Oil
	event.add('c:crude_oil', ['immersivepetroleum:crudeoil', 'oritech:still_oil']);
	event.add('neoforge:crude_oil', ['pneumaticcraft:oil', 'oritech:still_oil']);

	// Diesel
	event.add('c:diesel', 'immersivepetroleum:diesel');
	event.add('neoforge:diesel', ['pneumaticcraft:diesel', 'oritech:still_diesel']);

	// Sulfurized Diesel
	event.add('c:diesel_sulfur', 'immersivepetroleum:diesel_sulfur');

	// Lubricant
	event.add('c:lubricant', ['immersivepetroleum:lubricant', 'tfmg:lubrication_oil_bucket']);
	event.add('neoforge:lubricant', ['pneumaticcraft:lubricant', 'tfmg:lubrication_oil_bucket']);

	// Gasoline
	event.add('c:gasoline', 'immersivepetroleum:gasoline');
	event.add('neoforge:gasoline', 'pneumaticcraft:gasoline');

	// Kerosene
	event.add('c:kerosene', 'immersivepetroleum:kerosene');
	event.add('neoforge:kerosene', 'pneumaticcraft:kerosene');

	// Naphtha
	event.add('c:naphtha', 'immersivepetroleum:naphtha');
	event.add('neoforge:naphtha', 'oritech:still_naphtha');

	// Molten Plastic
	event.add('pneumaticcraft:plastic', 'tfmg:molten_plastic');
	event.add('c:buckets/molten_plastic', 'pneumaticcraft:plastic');
});